package com.jz.dmp.modules.service.impl;

import com.jz.dmp.modules.dao.DmpTableColumnDao;
import com.jz.dmp.modules.model.DmpTableColumn;
import com.jz.dmp.modules.service.DmpTableColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 项目表字段(DmpTableColumn)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:56
 */
@Service("dmpTableColumnService")
public class DmpTableColumnServiceImpl implements DmpTableColumnService {
    @Autowired
    private DmpTableColumnDao dmpTableColumnDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public DmpTableColumn queryById(Integer id) {
        return this.dmpTableColumnDao.queryById(id);
    }

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    @Override
    public List<DmpTableColumn> queryAllByLimit(int offset, int limit) {
        return this.dmpTableColumnDao.queryAllByLimit(offset, limit);
    }

    /**
     * 新增数据
     *
     * @param dmpTableColumn 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableColumn insert(DmpTableColumn dmpTableColumn) {
        this.dmpTableColumnDao.insert(dmpTableColumn);
        return dmpTableColumn;
    }

    /**
     * 修改数据
     *
     * @param dmpTableColumn 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableColumn update(DmpTableColumn dmpTableColumn) {
        this.dmpTableColumnDao.update(dmpTableColumn);
        return this.queryById(dmpTableColumn.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.dmpTableColumnDao.deleteById(id) > 0;
    }
}